## libmarpa 6.1.0~dfsg

=== author.t/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

.PHONY: all all_tests critic display tidy

all: all_tests

critic.list: ../MANIFEST create_critic_list.pl
	perl ./create_critic_list.pl > critic.list

all_tests: critic.list
	-(cd ..; prove author.t/*.t ) 2>&1 | tee all.errs

tidy: critic.list
	-(cd ..; prove author.t/tidy.t) 2>&1 | tee tidy.errs

critic: critic.list
	-(cd ..; prove author.t/critic.t) 2>&1 | tee critic.errs

display:
	-(cd ..; prove author.t/display.t) 2>&1 | tee display.errs

pod:
	-(cd ..; prove author.t/pod.t)

=== xs/Makefile ===
# Copyright 2014 Jeffrey Kegler
# This file is part of Marpa::R2.  Marpa::R2 is free software: you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License as published by the Free Software Foundation,
# either version 3 of the License, or (at your option) any later version.
#
# Marpa::R2 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser
# General Public License along with Marpa::R2.  If not, see
# http://www.gnu.org/licenses/.

general_pattern.xsh: gp_generate.pl
	perl gp_generate.pl general_pattern.xsh

=== debian/changelog ===
libmarpa (6.1.0~dfsg-2) experimental; urgency=medium

  * update git-buildpackage config:
    + avoid any .git* files
    + use DEP-14 branches debian/latest upstream/latest
    + add usage comment
  * simplify rules;
    stop build-depend on devscripts dh-buildinfo cdbs
    autotools-dev libtool automake autoconf
  * relax to build-depend unversioned on d-shlibs:
    required version satisfied in all supported Debian releases
  * use salsa.debian.org in Vcs-* URIs
  * declare compliance with Debian Policy 4.6.0
  * use debhelper compatibility level 13 (not 8);
    build-depend on debhelper-compat (not debhelper)
  * set Rules-Requires-Root: no
  * use pkgkde_symbolshelper;
    build-depend on pkg-kde-tools
  * tighten to only relax symbols check when targeted experimental
  * update copyright info:
    + use License-Grant and Reference fields;
      add lintian overrides about Reference field
    + separate source URIs from repackaging notice
    + use secure alternate source URI
    + fix Files globs
    + update coverage
    + use SPDX shortnames
    + sort License sections alphabetically by shortname
    + list MetaCPAN as main source URI
    + use secure contact URI
    + use secure file format URI
  * use semantic newlines in long description and copyright fields
  * drop obsolete binary package libmarpa0-dbg

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Sep 2021 19:14:53 +0200

libmarpa (6.1.0~dfsg-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop hardcoded pre-depends on multiarch-support.
    (Closes: #870603)

 -- Boyuan Yang <073plan@gmail.com>  Sun, 12 Aug 2018 22:09:56 -0400

libmarpa (6.1.0~dfsg-1) experimental; urgency=medium

  * Initial packaging release.
    Closes: bug#753992.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Jul 2014 23:21:08 +0200

=== debian/control ===
Source: libmarpa
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 d-shlibs,
 pkg-kde-tools,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.0
Homepage: https://jeffreykegler.github.io/Marpa-web-site/libmarpa.html
Vcs-Git: https://salsa.debian.org/debian/libmarpa.git
Vcs-Browser: https://salsa.debian.org/debian/libmarpa
Rules-Requires-Root: no

Package: libmarpa0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Description: BNF grammar parser - runtime library
 Libmarpa is a C implementation
 of the core of Marpa parsing algorithm.
 .
  * Marpa parses anything you can write in BNF,
    including ambiguous and even infinitely ambiguous grammars.
  * Marpa easily and efficiently handles both left- and right-recursion.
  * If a grammar is in one of the classes in practical use today,
    Marpa parses it in O(n) (linear) time.
  * Marpa never goes exponential.
    Worst case, even for wildly ambiguous grammars,
    is O(n3) (cubic) time.
  * Marpa's run-time error detection is revolutionary.
    Marpa has complete situational awareness.
    It knows at all times which rules it is attempting to apply,
    how far it has progressed in them,
    and exactly which tokens it can accept.
    And Marpa can communicate its situational awareness
    back to the application.
  * Marpa allows the application to efficiently retry rejected input.
    This, combined with its situational awareness,
    allows "Ruby Slippers" parsing:
    When an application has a token rejected,
    it can ask the parse engine which tokens would be acceptable.
    It can then create a virtual token
    that allows the parse to continue --
    the application can make the parse engine's "wishes" come true.
    The Ruby Slippers are easy to use
    and surprisingly wide in their application.
 .
 Marpa is named after the legendary 11th century Tibetan translator,
 Marpa Lotsawa.

Package: libmarpa-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmarpa0 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends}
Suggests: libmarpa-doc
Description: BNF grammar parser - development headers
 Libmarpa is a C implementation
 of the core of Marpa parsing algorithm.
 .
  * Marpa parses anything you can write in BNF,
    including ambiguous and even infinitely ambiguous grammars.
  * Marpa easily and efficiently handles both left- and right-recursion.
  * If a grammar is in one of the classes in practical use today,
    Marpa parses it in O(n) (linear) time.
  * Marpa never goes exponential.
    Worst case, even for wildly ambiguous grammars,
    is O(n3) (cubic) time.
  * Marpa's run-time error detection is revolutionary.
    Marpa has complete situational awareness.
    It knows at all times which rules it is attempting to apply,
    how far it has progressed in them,
    and exactly which tokens it can accept.
    And Marpa can communicate its situational awareness
    back to the application.
  * Marpa allows the application to efficiently retry rejected input.
    This, combined with its situational awareness,
    allows "Ruby Slippers" parsing:
    When an application has a token rejected,
    it can ask the parse engine which tokens would be acceptable.
    It can then create a virtual token
    that allows the parse to continue --
    the application can make the parse engine's "wishes" come true.
    The Ruby Slippers are easy to use
    and surprisingly wide in their application.
 .
 Marpa is named after the legendary 11th century Tibetan translator,
 Marpa Lotsawa.
 .
 This package provides development header files.

=== debian/rules ===
#!/usr/bin/make -f

# resolve if release is experimental
EXP_RELEASE = $(filter experimental% UNRELEASED,\
 $(shell dpkg-parsechangelog -S Distribution))

# relax symbols check when targeting experimental
export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)

%:
	dh $@ --sourcedirectory=libmarpa_dist --builddirectory=build --with pkgkde_symbolshelper

# put aside upstream-shipped autogenerated files during build
CRUFT_COPY = libmarpa_dist/LIB_VERSION
execute_before_dh_auto_configure:
	$(foreach file,$(wildcard $(CRUFT_COPY)),\
		cp --force --no-target-directory -- $(file) $(file).save)
execute_after_dh_auto_clean:
	$(foreach file,$(wildcard $(CRUFT_COPY:%=%.save)),\
		mv --force --no-target-directory -- $(file:%.save=%) $(file))

# drop obsolete libtool linker files before debhelper notices and complains
execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
execute_after_dh_install:
	dh_install
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--multiarch \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		debian/tmp/usr/lib/*/*.so
